Bug 870034 - openvswitch: iptables rule to let through GRE traffic is added even though GRE is unsupported
openvswitch: iptables rule to let through GRE traffic is added even though GR...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openvswitch (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Graf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 08:55 EDT by Thomas Graf
Modified: 2014-06-18 04:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:17:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Graf 2012-10-25 08:55:06 EDT
Description of problem:

Even though the Fedora kernel does not support GRE tunneling with openvswitch. The startup scripts still punch a hole into the firewall to let through GRE traffic.


Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1. service openvswitch start
2. iptables -L
3.
  
Actual results:


Expected results:
No iptables -p GRE -j ACCEPT rule

Additional info:
Comment 1 Fedora Update System 2012-10-25 10:26:48 EDT
openvswitch-1.4.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openvswitch-1.4.2-4.fc17
Comment 2 Fedora Update System 2012-10-27 21:05:06 EDT
Package openvswitch-1.4.2-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvswitch-1.4.2-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17089/openvswitch-1.4.2-4.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-01 10:44:20 EDT
openvswitch-1.4.2-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openvswitch-1.4.2-5.fc17
Comment 4 Fedora Update System 2012-12-20 11:17:21 EST
openvswitch-1.4.2-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.